Docs
Get an API key

Qwen-Image 2.1 (evaluation) qwen-image-2.1

Evaluation only (Qwen Research License): text to image and editing with up to 10 reference images and a mask, native transparent output, 2048x2048 by default.

From the live catalog
View .md
region ATL quantization bf16 Hugging Face Qwen/Qwen-Image-2.1

Inputs

InputAccepts
text
image
formats png, jpeg, webp
references type: integer, min: 1, max: 10

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
sizeany
aspect_ratiostring1:1, 4:3, 3:4, 3:2, 2:3, 16:9, 9:161:1
resolutionstring768, 1K, 1.5K, 2K
ninteger1–41
response_formatstringurl, b64_jsonurl
seedinteger
stepsinteger6, 20–506
output_formatstringpng, jpeg, webppng
backgroundstringauto, opaque, transparentauto
output_compressioninteger0–100

Endpoints

A request

curl https://api.vultrinference.com/v1/images/generations \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "qwen-image-2.1",
    "prompt": "Studio photograph of a red ceramic teapot beside a blue cup on a wooden table.",
    "n": 1,
    "size": "1024x1024",
    "response_format": "b64_json"
  }'